petsc-3.7.1 2016-05-15
Report Typos and Errors

# MatTransposeMatMultEqual

Test A^T*B*x = C*x for n random vector x

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatTransposeMatMultEqual(Mat A,Mat B,Mat C,PetscInt n,PetscBool *flg)

Collective on Mat Many br

### Input Parameters

| A | - the first matrix Many br
| B | - the second matrix Many br

C -the third matrix Many br
n -number of random vectors to be tested Many br

### Output Parameter

flg -PETSC_TRUE if the products are equal; PETSC_FALSE otherwise. Many br

Many br

Location:src/mat/utils/multequal.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages